---
# This is a drush make file for a media_wysiwyg setup using the CKEditor
# module.
#
# Build this recipe with this drush command:
# drush make /path/to/this/file --no-core /path/to/destination/folder
#
# After downloading and moving files into place, here are the manual steps
# needed to set everything up:
#
# 1. If Drupal is not already installed, install Drupal with the standard
#    profile: drush site-install
# 2. Enable these modules:
#    - media_ckeditor
#    - token
#    - media_oembed
# 3. At /admin/config/content/ckeditor/edit change the value for
#    "Path to the CKEditor plugins directory" to: %l/ckeditor/plugins
# 4. Configure a text format so that this checkbox is checked:
#    - "Convert Media tags to markup"
# 5. Configure the Ckeditor configuration for that text format so that these
#    checkboxes are checked under the "Editor Appearance" section:
#    - "Plugin for embedding files using Media CKEditor"
#    - "Plugin file: lineutils"
#    - "Plugin file: widget"
# 6. Disable the ACF in the "Advanced Content Filter" section

api: 2
core: "7.53"

projects:

  # The Media module.
  media: 7.x-2.0-rc1

  # The Media Ckeditor module.
  media_ckeditor: 7.x-2.0-rc1

  # Other required modules.
  media_oembed: "2.7"
  ckeditor: "1.17"
  ctools: "1.12"
  file_entity: "2.0-beta3"
  token: "1.6"
  views: "3.14"

# The Ckeditor library and some plugins.
libraries:
  ckeditor:
    download:
      type: "file"
      url: "http://download.cksource.com/CKEditor/CKEditor/CKEditor%204.6.0/ckeditor_4.6.0_full.zip"
  lineutils:
    download:
      type: "file"
      url: "http://download.ckeditor.com/lineutils/releases/lineutils_4.6.0.zip"
    destination: "libraries/ckeditor/plugins"
  widget:
    download:
      type: "file"
      url: "http://download.ckeditor.com/widget/releases/widget_4.6.0.zip"
    destination: "libraries/ckeditor/plugins"
